#!/bin/sh

cp Settings/.zshrc Settings/.vimrc Settings/.zprofile Settings/.gitconfig .

if [ $(id -u) -ne 0 ]
then
	echo "run me as root to copy cdbm & lsd to the system"
else
	if [ ! -d /usr/local/bin ]; then mkdir -p /usr/local/bin; fi
	OS=`uname`
	case "$OS" in
		Darwin)
			cp Settings/cdbm/Darwin/cdbm /usr/local/bin
			cp Settings/lsd/Darwin/lsd /usr/local/bin
		;;
		Linux)
			cp Settings/cdbm/Linux/cdbm /usr/local/bin
			cp Settings/lsd/Linux/lsd /usr/local/bin
		;;
		*)
			$OS is not supported
		;;
	esac
fi


